GCLOUD_COMPUTE_INSTANCE-GROUPS_UNMANAGED_GET-NAMED-PORTS(1)

NAME

gcloud compute instance-groups unmanaged get-named-ports - lists the named ports for an instance group resource

SYNOPSIS

gcloud compute instance-groups unmanaged get-named-ports NAME [--limit LIMIT] [--sort-by SORT_BY] [--zone ZONE] [GLOBAL-FLAG ...]

DESCRIPTION
Named ports are key:value pairs metadata representing the service name and the port that it's running on. Named ports can be assigned to an instance group, which indicates that the service is available on all instances in the group. This information is used by the HTTP Load Balancing service. gcloud compute instance-groups unmanaged get-named-ports lists the named ports (name and port tuples) for an instance group.

POSITIONAL ARGUMENTS
NAME
    The name of the instance group.

FLAGS
--limit LIMIT
    The maximum number of results.
--sort-by SORT_BY
    A field to sort by. To perform a descending-order sort, prefix the value of this flag with a tilde (``~'').
--zone ZONE
    The zone of the instance or instance group to get named ports for. If not specified, you will be prompted to select a zone. To avoid prompting when this flag is omitted, you can set the compute/zone property:
        $ gcloud config set compute/zone ZONE
    A list of zones can be fetched by running:
        $ gcloud compute zones list
    To unset the property, run:
        $ gcloud config unset compute/zone
    Alternatively, the zone can be stored in the environment variable CLOUDSDK_COMPUTE_ZONE.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
For example, to list named ports for an instance group:
    $ gcloud compute instance-groups unmanaged get-named-ports \
        example-instance-group --zone us-central1-a
The above example lists named ports assigned to an instance group named 'example-instance-group' in the us-central1-a zone.